#1922 closed defect (fixed)

multiple definition of `_Scheduler_CBS_Server_list'

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@…, jennifer.averett@…, gedare@…, petben@… Blocked By:
Blocking:

Description

In "schedulercbs.h" we have:

/

  • List of servers. The @a Scheduler_CBS_Server is the index to the array
  • of pointers to @a _Scheduler_CBS_Server_list. */

Scheduler_CBS_Server _Scheduler_CBS_Server_list;

Here a "extern" is missing. It seems that this variable is nowhere defined.

Attachments (3)

extern_fix.diff (4.8 KB) - added by Petr Benes on Sep 27, 2011 at 9:11:10 AM.
EDF and CBS scheduler: extern declarations fix
extern_fix2.diff (4.0 KB) - added by Petr Benes on Sep 27, 2011 at 11:43:53 AM.
EDF and CBS scheduler: extern declarations fix -version 2
extern_fix3.diff (4.9 KB) - added by Petr Benes on Oct 2, 2011 at 8:38:43 PM.
EDF and CBS scheduler: extern declarations fix -version 3

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Sep 23, 2011 at 6:57:52 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:2 Changed on Sep 23, 2011 at 3:36:43 PM by Gedare Bloom

Cc: benesp16@… giddyup44@… added

Changed on Sep 27, 2011 at 9:11:10 AM by Petr Benes

Attachment: extern_fix.diff added

EDF and CBS scheduler: extern declarations fix

Changed on Sep 27, 2011 at 11:43:53 AM by Petr Benes

Attachment: extern_fix2.diff added

EDF and CBS scheduler: extern declarations fix -version 2

comment:3 Changed on Sep 27, 2011 at 11:43:53 AM by Petr Benes

attachments.isobsolete: 01

Changed on Oct 2, 2011 at 8:38:43 PM by Petr Benes

Attachment: extern_fix3.diff added

EDF and CBS scheduler: extern declarations fix -version 3

comment:4 Changed on Oct 2, 2011 at 8:38:43 PM by Petr Benes

attachments.isobsolete: 01

comment:5 Changed on Oct 4, 2011 at 2:21:22 PM by Jennifer Averett

Resolution: fixed
Status: newclosed, jennifer.averett@oarcorp.com

Patch applied to head.

comment:6 Changed on Nov 23, 2014 at 3:50:06 PM by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

Note: See TracTickets for help on using tickets.